Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Class RoleNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.security.spi.SecuritySpiException
                      weblogic.security.spi.RoleNotFoundException

All Implemented Interfaces:
  Serializable, weblogic.utils.NestedThrowable

    public class RoleNotFoundException

extends SecuritySpiException

The `RoleNotFoundException` exception is thrown if a Role Mapping provider looks for a particular role that should exist, but is unable to find that role.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`RoleNotFoundException()` Constructs a `RoleNotFoundException` with no arguments.
`RoleNotFoundException(String msg)` Constructs a `RoleNotFoundException` with the specified detail message.
`RoleNotFoundException(String msg, Throwable nested)` Constructs a `RoleNotFoundException` with a detail message and a nested exception.
`RoleNotFoundException(Throwable nested)` Constructs a `RoleNotFoundException` with a nested exception.

Method Summary

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleNotFoundException

    public RoleNotFoundException()

  Constructs a `RoleNotFoundException` with no arguments.

### RoleNotFoundException

    public RoleNotFoundException(String msg)

  Constructs a `RoleNotFoundException` with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `msg` - a String providing additional information about this exception.

### RoleNotFoundException

    public RoleNotFoundException(Throwable nested)

  Constructs a `RoleNotFoundException` with a nested exception.

  Parameters:
    `nested` - a `Throwable` object to wrapper as part of this exception.

### RoleNotFoundException

    public RoleNotFoundException(String msg,
                                 Throwable nested)

  Constructs a `RoleNotFoundException` with a detail message and a nested exception.

  Parameters:
    `msg` - a String providing additional information about this exception.

    `nested` - a `Throwable` object to wrapper as part of this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD